%global pypi_name rply
%global with_python3 1

Name:       python-rply
Version:    0.7.2
Release:    2%{?dist}
Summary:    Pure Python parser generator

License:    BSD
URL:        https://rply.readthedocs.org/
Source0:    https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with_python3

%description
rply is a pure python parser generator, that also works with RPython.
It is a more-or-less direct port of David Beazley's awesome PLY, with
a new public API, and RPython support.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary: Pure Python parser generator

%description -n python3-%{pypi_name}
rply is a pure python parser generator, that also works with RPython.
It is a more-or-less direct port of David Beazley's awesome PLY, with
a new public API, and RPython support.
%endif # with_python3

%prep
%setup -q -n %{pypi_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

# Tests are not included, I've ran them manually: they pass just fine
# under Python2, but 2 of them fail under Python3, however, that shouldn't
# be a problem, according to https://github.com/alex/rply/issues/26

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc LICENSE README.rst
%{python2_sitelib}/rply
%{python2_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc LICENSE README.rst
%{python3_sitelib}/rply
%{python3_sitelib}/*.egg-info
%endif # with_python3

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 07 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.7.2-1
- Initial version
